{% extends 'admin.html.twig' %}

{% block title %}Ajouter / Modifier un utilisateur {{ parent() }} {% endblock %}

{% block body %}
<div class="row">


    <div class="col-12">
        <div class="block  table-block mb-4">
            <div class="block-heading">
                <h5>Ajouter un nouveau utilisateur </h5>


            </div>

            <div class="row">
                <div class="col-12">

                    {{ form_start(form) }}

                    <div class="form-row">

                        <div class="form-group col-md-4">

                            {{ form_label(form.admin.nom, 'Nom de l\'administrateur', {'label_attr': {'class': ''}}) }}
                            {{ form_widget(form.admin.nom, {'attr': {'class': 'form-control' , 'placeholder' : 'Nom de l\'administrateur' } }) }}
                            {{ form_errors(form.admin.nom) }}
                        </div>
                        <div class="form-group col-md-4">

                            {{ form_label(form.admin.prenom, 'Prénom de l\'administrateur', {'label_attr': {'class': ''}})
                            }}
                            {{ form_widget(form.admin.prenom, {'attr': {'class': 'form-control' , 'placeholder' : 'Prénom de l\'administrateur' } }) }}
                            {{ form_errors(form.admin.prenom) }}
                        </div>
                        <div class="form-group col-md-4">

                            {{ form_label(form.admin.fonction, 'Fonction de l\'administrateur', {'label_attr': {'class': ''}})
                            }}
                            {{ form_widget(form.admin.fonction, {'attr': {'class': 'form-control' , 'placeholder' : 'Fonction de l\'administrateur' } }) }}
                            {{ form_errors(form.admin.fonction) }}
                        </div>
                        <div class="form-group col-md-4">

                            {{ form_label(form.admin.tel, 'Téléphone de l\'administrateur', {'label_attr': {'class': ''}})
                            }}
                            {{ form_widget(form.admin.tel, {'attr': {'class': 'form-control' , 'placeholder' : 'Téléphone de l\'administrateur' } }) }}
                            {{ form_errors(form.admin.tel) }}
                        </div>

                        <div class="form-group col-md-4">

                            {{ form_label(form.email, 'Adresse E-mail', {'label_attr': {'class': ''}}) }}
                            {{ form_widget(form.email, {'attr': {'class': 'form-control' , 'placeholder' : 'Adresse E-mail' } }) }}
                            {{ form_errors(form.email) }}
                        </div>
                        {% if user.id == null %}
                        <div class="form-group col-md-4">

                            {{ form_label(form.password, 'Mot de passe', {'label_attr': {'class': ''}}) }}
                            {{ form_widget(form.password, {'attr': {'class': 'form-control' , 'placeholder' : 'Mot de passe' } }) }}
                            {{ form_errors(form.password) }}
                        </div>
                        <div class="form-group col-md-4">

                            {{ form_label(form.password_confirm, 'Répété le Mot de passe', {'label_attr': {'class': ''}})
                            }}
                            {{ form_widget(form.password_confirm, {'attr': {'class': 'form-control' , 'placeholder' : 'Répété le Mot de passe' } }) }}
                            {{ form_errors(form.password_confirm) }}
                        </div>
                        {% endif %}
                        <div class="form-group col-md-4">

                            {{ form_label(form.avatar.file, 'Avatar de l\'administrateur', {'label_attr': {'class': ''}})
                            }}
                            {{ form_widget(form.avatar.file, {'attr': {'class': 'form-control' , 'placeholder' : 'Avatar de l\'administrateur' } }) }}
                            {{ form_errors(form.avatar.file) }}
                        </div>
                    </div>

                    <hr>


                    <div class="btn-group record_actions">
                        {% if user.id == null %}
                        <a class="btn btn-inline btn-info" href="{{path('user_admin')}}">
                            <i class="fa fa-chevron-circle-left"></i> Retour
                        </a>
                        {% else %}
                        <a class="btn btn-inline btn-info" href="{{ path('user_admin_show' , {id:user.id} ) }}">
                            <i class="fa fa-chevron-circle-left"></i> Retour
                        </a>
                        {% endif %}

                        <button class="btn btn-primary" type="submit">Valider</button>
                    </div>
                    {{ form_end(form) }}

                </div>

            </div>

        </div>
    </div>

</div>
{% endblock %}